myCustomFilter = false

function MyLFGListUtil_SortSearchResults(resID1, resID2)
  -- local id, activityID, name, description, voice, iLevel, time, nBNetFriends, nFriends, nGuildies, isDelisted = C_LFGList.GetSearchResultInfo(resID)
  local id1,_,_,_,_,_,time1,nBNet1,nFriends1,nGuildies1,_ = C_LFGList.GetSearchResultInfo(resID1)
  local id2,_,_,_,_,_,time2,nBNet2,nFriends2,nGuildies2,_ = C_LFGList.GetSearchResultInfo(resID2)
  if (nBNet1 ~= nBNet2) then
    return nBNet1 > nBNet2
  end
  if (nFriends1 ~= nFriends2) then
    return nFriends1 > nFriends2
  end
  if (nGuildies1 ~= nGuildies2) then
    return nGuildies1 > nGuildies2
  end
  if (time1 ~= time2) then
    return time1 < time2
  end
  return id1 < id2
end

function LFGListUtil_SortSearchResults(results)
  table.sort(results, MyLFGListUtil_SortSearchResults)
end

function LFGListSearchPanel_DoSearch(self)
	C_LFGList.Search(self.categoryID, "", self.filters, self.preferredFilters)
	self.searching = true
	self.searchFailed = false
	self.selectedResult = nil
	myCustomFilter = true
	LFGListSearchPanel_UpdateResultList(self)
	LFGListSearchPanel_UpdateResults(self)
end

function MyIsIgnored(name)
	local numIgnores = GetNumIgnores()
	for i = 1,numIgnores do
		if GetIgnoreName(i) == name then
			return true
		end
	end
	return false
end

function LFGListSearchPanel_UpdateResultList(self)
	self.totalResults, self.results = C_LFGList.GetSearchResults()
	myResults = {}
	for i,v in ipairs(self.results) do
		local _,activityID,name,comment,_,_,_,_,_,_,_,leaderName = C_LFGList.GetSearchResultInfo(v)
		local activity = select(1,C_LFGList.GetActivityInfo(activityID))
		activity = activity:lower()
		name = name:lower()
		comment = comment:lower()
		local addMe = true
		for word in (self.SearchBox:GetText()):gmatch("%S+") do
			word = word:lower()
			
			if activity:find(word)==nil and name:find(word)==nil and comment:find(word)==nil then
				addMe = false
				break
			end
		end
		if addMe and not MyIsIgnored(leaderName) then
			table.insert(myResults, v)
		end
	end
	self.totalResults = table.getn(myResults)
	self.results = myResults
	self.applications = C_LFGList.GetApplications()
	LFGListUtil_SortSearchResults(self.results)
end